Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.delete-envelope-workflow-definition ​

Deletes the specified envelope's workflow definition if it has one. Note: If the envelope was scheduled to be sent, this endpoint will cancel the scheduled send and the envelope status will be reset to created. To resend the envelope, call the update the status to sent with the Envelopes::Update method.

Delete the workflow definition for an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.delete-envelope-workflow-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}